Name:		scantailor
Version:	1.0.16
Release:	%mkrel 5
Summary:	Scan processing software
License:	GPLv3+ or LGPLv2+
Group:		Graphics/Scanning
Url:		http://scantailor.org
# https://github.com/scantailor/scantailor/releases
Source0:	https://github.com/4lex4/%{name}-advanced/archive/v%{version}/%{name}-%{version}.tar.gz
Source3:	%{name}.1
Source4:	%{name}-cli.1
Patch0:		scantailor-advanced-1.0.16-fix-desktop-file.patch
Patch1:		scantailor-advanced-1.0.16-fix-build-with-qt-5.15.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
Scan Tailor is an interactive post-processing tool for scanned pages. It
performs operations such as page splitting, deskewing, adding/removing borders,
and others. You give it raw scans, and you get pages ready to be printed
or assembled into a PDF or DJVU file. Scanning, optical character recognition,
and assembling multi-page documents are out of scope of this project.

%prep
%setup -q -n %{name}-advanced-%{version}
%autopatch -p1

%build
%cmake_qt5 -DEXTRA_LIBS=Xrender

%cmake_build

%install
%cmake_install

install -pm644 -D %{SOURCE3} %{buildroot}%{_mandir}/man1/%{name}.1
#install -pm644 -D %%{SOURCE4} %%{buildroot}%%{_mandir}/man1/%%{name}-cli.1

%files
%license LICENSE
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%dir %{_datadir}/%{name}-advanced
%{_datadir}/%{name}-advanced/translations
%{_datadir}/mime/packages/%{name}-project.xml
%{_mandir}/man1/%{name}*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.0.16-5.mga8
+ Revision: 1659771
- Rebuild for new Qt5

* Fri Jul 24 2020 daviddavid <daviddavid> 1.0.16-4.mga8
+ Revision: 1608784
- add patch to fix build with Qt 5.15

* Sat Feb 15 2020 umeabot <umeabot> 1.0.16-3.mga8
+ Revision: 1525021
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.0.16-2.mga7
+ Revision: 1384719
- Qt5 Rebuild

* Wed Jan 02 2019 daviddavid <daviddavid> 1.0.16-1.mga7
+ Revision: 1348521
- new version: 1.0.16 (switch to scantailor-advanced)
- port to Qt5
- use upstream desktop, icon and mime-packages files

* Sun Sep 23 2018 umeabot <umeabot> 0.9.12.2-2.mga7
+ Revision: 1300936
- Mageia 7 Mass Rebuild

* Sat May 21 2016 daviddavid <daviddavid> 0.9.12.2-1.mga6
+ Revision: 1017273
- new version: 0.9.12.2
- update Source URL
- remove merged upstream patch
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- rebuild for new boost
- respect CFLAGS and CXXFLAGS (and hence fix build)

* Wed Jan 07 2015 alexl <alexl> 0.9.11.1-6.mga5
+ Revision: 809160
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.9.11.1-5.mga5
+ Revision: 743702
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.11.1-4.mga5
+ Revision: 730114
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.11.1-3.mga5
+ Revision: 689048
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 alexl <alexl> 0.9.11.1-2.mga5
+ Revision: 662833
- translated desktop file
- changed Exec in desktop file
- added mime
- built with debug pkg
- fixed license with according Fedora
- added man pages from Debian
- built pkg with scantailor-cli
- used xrender
- used makeinstall_std macros instead of manual installation

* Fri Apr 18 2014 alexl <alexl> 0.9.11.1-1.mga5
+ Revision: 616211
- fix group
- imported package scantailor

